Clone integrity payload in request-based dm code path.

Signed-off-by: Kiyoshi Ueda <k-ueda@ct.jp.nec.com>
Signed-off-by: Jun'ichi Nomura <j-nomura@ce.jp.nec.com>
Cc: Martin K. Petersen <martin.petersen@oracle.com>
Cc: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm.c |    5 +++++
 1 files changed, 5 insertions(+)

Index: linux-2.6.28-rc3/drivers/md/dm.c
===================================================================
--- linux-2.6.28-rc3.orig/drivers/md/dm.c	2008-11-07 13:15:11.000000000 +0000
+++ linux-2.6.28-rc3/drivers/md/dm.c	2008-11-07 13:15:15.000000000 +0000
@@ -1354,6 +1354,11 @@ static int clone_request_bios(struct req
 		}
 
 		__bio_clone(clone_bio, bio);
+		if (bio_integrity(bio))
+			if (bio_integrity_clone(clone_bio, bio, GFP_ATOMIC,
+						md->bs) < 0)
+				goto free_and_out;
+
 		clone_bio->bi_destructor = dm_bio_destructor;
 		clone_bio->bi_end_io = end_clone_bio;
 		info->rq = clone;
